DbEnv::get_mp_max_openfd()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::get_mp_max_openfd()

    #include <db_cxx.h>

    int
    DbEnv::get_mp_max_openfd(int *maxopenfdp);

Returns the maximum number of file descriptors the library will open concurrently when flushing dirty pages from the cache. This value is set by the DbEnv::set_mp_max_openfd() method.

The `DbEnv::get_mp_max_openfd()` method may be called at any time during the life of the application.

The `DbEnv::get_mp_max_openfd()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### maxopenfdp

The `DbEnv::get_mp_max_openfd()` method returns the maximum number of file descriptors open in maxopenfdp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::set_mp_max_openfd()

Prev | Up | Next
DbEnv::get_cachesize() | Home | DbEnv::get_mp_max_write()